# $Revision: 1.20 $, $Date: 2011/10/23 07:58:48 $
#
# TODO:
#	- seperate out libgiggle/libgiggle-git
#
Summary:	Graphical frontend for git
Summary(pl.UTF-8):	Graficzna nakładka na git
Name:		giggle
Version:	0.6
Release:	1
License:	GPL v2
Group:		X11/Development/Tools
Source0:	http://ftp.gnome.org/pub/GNOME/sources/giggle/0.6/%{name}-%{version}.tar.xz
# Source0-md5:	8f450b6a477cd8780326509faf8ba19b
URL:		http://live.gnome.org/giggle
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1.11
BuildRequires:	evolution-data-server-devel
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	git-core >= 1.4.4.3
BuildRequires:	glib2-devel >= 1:2.18
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtksourceview3-devel >= 3.0.0
BuildRequires:	intltool >= 0.41.0
BuildRequires:	libtool >= 2.2.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte-devel >= 0.26
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	git-core >= 1.4.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Giggle is a GTK+ based GIT repositories viewer, providing developers a
way to browse and visualize graphically revision trees, change logs,
diffs, and other useful information.

%description -l pl.UTF-8
Giggle jest opartą na GTK+ przeglądarką repozytoriów GIT, dającą
deweloperom możliwość przeglądania i wizualizacji drzew rewizji, list
zmian, różnic i innych przydatnych informacji.

%package devel
Summary:	libgiggle development files
Summary(pl.UTF-8):	Pliki programistyczne libgiggle
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libgiggle development files.

%description devel -l pl.UTF-8
Pliki programistyczne libgiggle.


%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/giggle/plugins/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/giggle
%attr(755,root,root) %{_libdir}/libgiggle.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgiggle.so.0
%attr(755,root,root) %{_libdir}/libgiggle-git.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgiggle-git.so.0
%dir %{_libdir}/giggle
%dir %{_libdir}/giggle/plugins
%dir %{_libdir}/giggle/plugins/%{version}
%attr(755,root,root) %{_libdir}/giggle/plugins/%{version}/libpersonal-details.so
%attr(755,root,root) %{_libdir}/giggle/plugins/%{version}/libterminal-view.so
%{_libdir}/giggle/plugins/%{version}/personal-details.xml
%{_libdir}/giggle/plugins/%{version}/terminal-view.xml
%{_datadir}/%{name}
%{_desktopdir}/giggle.desktop
%{_iconsdir}/hicolor/*/*/*

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/giggle
%{_includedir}/giggle/libgiggle
%{_includedir}/giggle/libgiggle-git
%{_libdir}/libgiggle.so
%{_libdir}/libgiggle-git.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: giggle.spec,v $
Revision 1.20  2011/10/23 07:58:48  wiget
- up to 0.6

Revision 1.19  2011/10/16 12:08:24  wiget
- BR vte0-devel
- disable silent make rules
- rel. 4

Revision 1.18  2011/02/04 18:23:45  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.17  2010/09/30 10:24:28  patrys
- rel 2

Revision 1.16  2010/04/24 07:11:25  deejay1
- updated to 0.5

Revision 1.15  2010/04/09 15:31:53  patrys
- 0.4.97

Revision 1.14  2010/02/23 17:47:22  sparky
- dropped unused BR: libglade2-devel

Revision 1.13  2010/02/23 11:23:52  patrys
- 0.4.96

Revision 1.12  2010/01/29 19:20:25  sparky
- BR: gettext-devel, gnome-common

Revision 1.11  2010/01/29 00:06:44  patrys
- BR: vte-devel

Revision 1.10  2010/01/28 20:48:12  patrys
- 0.4.95

Revision 1.9  2009/02/19 17:31:44  deejay1
- seperated devel subpackage
- added TODO
- rel. 1

Revision 1.8  2009/02/18 16:20:40  deejay1
- updated to 0.4.91
- removed note
- Polish translation now upstream
- NFY

Revision 1.7  2009/01/13 22:11:05  wolf
- add note about new home

Revision 1.6  2007-12-12 21:14:06  qboosh
- pl fix
- .so perms
- missing post/postun deps

Revision 1.5  2007-12-08 20:23:25  deejay1
- up to 0.4
- added updated PL translation as P0
- rel. 1; STBR

Revision 1.4  2007/05/09 17:39:55  deejay1
- up to 0.3

Revision 1.3  2007/04/04 09:59:32  qboosh
- BR versions

Revision 1.2  2007/04/03 17:04:02  deejay1
- added BR: git-core
- rel. 2

Revision 1.1  2007/04/03 16:19:50  deejay1
- initial revision
